## python-biopython 1.67+dfsg

=== debian/changelog ===
python-biopython (1.67+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point d/watch to github
  * xz compression in d/watch
  * Take over patch from upstream to fix detection of rpsblast
  * Skip test needing a network connection
  * Add +bindnow hardening option
  * Delete useless .cvsignore files from package
  * New Build-Depends for documentation: hevea, texlive-latex-base,
    texlive-latex-extra, texlive-fonts-recommended
  * Makefile for Doc needs to be separately called (clean and build)
  * Remove doc sources from binary doc package

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jun 2016 13:05:14 +0200

python-biopython (1.66+dfsg-3) unstable; urgency=medium

  * Apply fix from upstream for test case dealing with new blastp output format
    Closes: #824048
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 16:48:15 +0200

python-biopython (1.66+dfsg-2) unstable; urgency=medium

  * Packaging moved from SVN to Git
  * Bumped Standards-Version
  * Exclude phyml test for the moment
    Closes: #813262

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2016 15:25:38 +0100

=== debian/control ===
Source: python-biopython
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python3-all-dev,
               python-numpy,
               python3-numpy,
               flex,
               python-reportlab,
               python3-reportlab,
               hevea,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-recommended,
               bwa [any-amd64],
               clustalo,
               clustalw,
               dialign,
               dssp,
               emboss,
               fasttree,
               mafft,
               muscle,
               ncbi-blast+,
               phylip,
               phyml,
               prank,
               probcons,
               python-mysqldb,
               python3-mysqldb,
               python-matplotlib,
               python3-matplotlib,
               python-pil,
               python3-pil,
               python-rdflib (>= 4),
               python3-rdflib,
               python-renderpm,
               python3-renderpm,
               python-psycopg2,
               python3-psycopg2,
               raxml [any-amd64],
               t-coffee,
               wise (>= 2.4.1-16)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biopython.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biopython.git
Homepage: http://biopython.org
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3

Package: python-biopython
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python-tk,
          bwa [any-amd64],
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python-mysqldb,
          python-matplotlib,
          python-numpy,
          python-pil,
          python-rdflib (>= 4),
          python-renderpm,
          python-psycopg2,
          raxml,
          samtools,
          t-coffee,
          wise (>= 2.4.1-16)
Description: Python library for bioinformatics (implemented in Python 2)
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 
 .
 This package is targeting Python version 2.

Package: python3-biopython
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python3-tk,
          python-reportlab,
          bwa [any-amd64],
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python-mysqldb,
          python3-matplotlib,
          python3-numpy,
          python3-pil,
          python3-rdflib,
          python3-renderpm,
          python3-psycopg2,
          raxml,
          samtools,
          t-coffee,
          wise (>= 2.4.1-16)
Description: Python library for bioinformatics (implemented in Python 3)
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 
 .
 This package is targeting Python version 3.

Package: python-biopython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.
 .
 This package also contains the unit tests of the test suite
 to enable reproducing the test results.

Package: python-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-mysqldb,
         python-biopython
Provides: ${python:Provides}
Description: Biopython support for the BioSQL database schema (Python 2)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
 .
 This package is targeting Python version 2.

Package: python3-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Provides: ${python:Provides}
Description: Biopython support for the BioSQL database schema (Python 3)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
 .
 This package is targeting Python version 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#export PYBUILD_NAME=biopython
#export PYBUILD_DESTDIR_python2=debian/python-biopython/
#export PYBUILD_DESTDIR_python3=debian/python3-biopython/

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all ... does not build
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Fails to build with this option switched on
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# If `$(CURDIR)/setup.py test` would be called these tests need to be excluded since they require to be online
#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS 
# Since `run_texts.py --online` is used the test requiring online connections are excluded by the test suite
EXCLUDEONLINE=

# avoid PAML_tools and EmbossPhylipNew since paml resp. embassy-phylip are non-free
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDENONFREE=PAML_tools EmbossPhylipNew

# avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_DFDist PopGen_FDist PopGen_GenePop PopGen_GenePop_EasyController PopGen_SimCoal XXmotif_tool

# avoid amd64 only tools on other architectures
ifeq ($(BUILDARCH),amd64)
    EXCLUDEARCHamd64=
else
    EXCLUDEARCHamd64=BWA_tool raxml_tool
endif

# avoid tests requiring data base connections if no server is running while we are doing the build
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2

# With recent phyml we get:
# ApplicationError: Non-zero return code 255 from 'phyml -i Phylip/interlaced2.phy -d aa', message 'beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware'
# See https://bugs.debian.org/813262
EXCLUDEFAILINGTESTS=phyml_tool

# FIXME: Currently it is not sure for what architecture samtools will be available
#        to anable a smooth migration to testing the build-dependency will be dropped
#        for the moment
#        .
#        The samtools test also fails on amd64.  This is reported upstream
#	 see https://github.com/biopython/biopython/issues/625
EXCLUDEPACKAGEINFLUX=samtools_tool

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	cd Doc && make distclean

override_dh_auto_build:
	dh_auto_build
	cd Doc && make

override_dh_auto_install:
	dh_auto_install
	dh_numpy -ppython-biopython
	dh_numpy3 -ppython3-biopython

override_dh_auto_test:
ifeq ($(BUILDARCH),mips)
	echo "***************************************************************************"
	echo "* Attention: Build time tests for mips architecture are skipped.          *"
	echo "* The reason is that the tests are known to fail for Python3 and the      *"
	echo "* effort to simply run only for Python 2.7 seems to be error prone.       *"
	echo "* Upstream is working on a solution so this should be dropped for         *"
	echo "* next upstream version. See:                                             *"
	echo "* http://mailman.open-bio.org/pipermail/biopython/2014-August/015383.html *"
	echo "***************************************************************************"
else
	mkdir -p Tests_avoid
	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
		    ; do \
	    mv Tests/test_$${avoid}.py Tests_avoid ; \
	done
	# For the doc package we need a clean testsuite without all the remaining files.  So keep a clean copy here
	mkdir -p debian/tmp_tests
	cp -a Tests debian/tmp_tests
	# remove duplicated file
	rm -f debian/tmp_tests/Tests/Quality/example.fastq.gz
	# We also keep the tests we need to avoid for later inspection
	cp -a Tests_avoid debian/tmp_tests
	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir 
	# to run the EMBOSS test test_Emboss also requires to have the environment variable EMBOSS_ROOT set
	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
		--test-args='set -e; \
                             mkdir -p {build_dir}/home; \
                             mkdir -p {build_dir}/Doc/examples; \
                             cp -a Doc/Tutorial.tex {build_dir}/Doc; \
                             cp -a Doc/Tutorial {build_dir}/Doc; \
                             cp -a Doc/examples {build_dir}/Doc; \
                             cp -a Tests {build_dir}; \
                             cd {build_dir}/Tests; \
                             env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
	mv Tests_avoid/* Tests
	rmdir Tests_avoid
endif

override_dh_installdocs-indep:
	dh_installdocs
	find debian -name __pycache__ -type d | xargs rm -rf
	find debian -name example.fastq.gz
	# dh_installdocs seems to refuse copying zero length files (for instance Tests/Blast/tab_2226_tblastn_002.txt) but these are needed for the tests as well
	cp -a debian/tmp_tests/* $(CURDIR)/debian/python-biopython-doc/usr/share/doc/python-biopython-doc/
	find debian -name .cvsignore -delete
	cd debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc && make clean
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name Makefile -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.tex" -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete

override_dh_auto_clean:
	dh_auto_clean
	if [ -d Tests_avoid ] ; then \
	    mv Tests_avoid/* Tests ; \
	    rmdir Tests_avoid ; \
	fi
	rm -rf debian/tmp_tests

=== debian/watch ===
version=3

opts="uversionmangle=s/b/~b/;s/(\d)(\d+)/$1.$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,repack,compression=xz" \
  https://github.com/biopython/biopython/releases .*/archive/biopython-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-biopython 1.68+dfsg

=== debian/changelog ===
python-biopython (1.68+dfsg-3) unstable; urgency=medium

  * (Build-)Depend: phyml only on those architectures where it is available
  * Relax test conditions in test_phenotype_fit to work around some rounding
    differences on arm64
    (see https://github.com/biopython/biopython/issues/1038 )

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 16:52:04 +0100

python-biopython (1.68+dfsg-2) unstable; urgency=medium

  * Add Tutorial.tex to *-doc package since its used in autopkgtest and
    its just an ignorable payload for this package
  * debhelper 10
  * d/watch: version=4
  * Add python-scipy since it is used in test suite

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 14:56:26 +0100

python-biopython (1.68+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Aug 2016 13:23:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python-all-dev,
                python3-all-dev,
                python-numpy,
@@ -27,7 +27,7 @@
                muscle,
                ncbi-blast+,
                phylip,
-               phyml,
+               phyml [any-amd64 any-i386 arm64 armhf sparc64],
                prank,
                probcons,
                python-mysqldb,
@@ -42,6 +42,8 @@
                python3-renderpm,
                python-psycopg2,
                python3-psycopg2,
+               python-scipy,
+               python3-scipy,
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
@@ -71,7 +73,7 @@
           mafft,
           muscle,
           phylip,
-          phyml,
+          phyml [any-amd64 any-i386 arm64 armhf sparc64],
           prank,
           probcons,
           python-mysqldb,
@@ -81,6 +83,7 @@
           python-rdflib (>= 4),
           python-renderpm,
           python-psycopg2,
+          python-scipy,
           raxml,
           samtools,
           t-coffee,
@@ -121,7 +124,7 @@
           mafft,
           muscle,
           phylip,
-          phyml,
+          phyml [any-amd64 any-i386 arm64 armhf sparc64],
           prank,
           probcons,
           python-mysqldb,
@@ -131,6 +134,7 @@
           python3-rdflib,
           python3-renderpm,
           python3-psycopg2,
+          python3-scipy,
           raxml,
           samtools,
           t-coffee,

=== debian/rules ===
--- 
+++ 
@@ -116,7 +116,6 @@
 	find debian -name .cvsignore -delete
 	cd debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc && make clean
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name Makefile -delete
-	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.tex" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete

## python-biopython 1.70%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -44,10 +44,12 @@
                python3-psycopg2,
                python-scipy,
                python3-scipy,
+               python-setuptools,
+               python3-setuptools,
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biopython.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biopython.git
 Homepage: http://biopython.org
@@ -87,7 +89,8 @@
           raxml,
           samtools,
           t-coffee,
-          wise (>= 2.4.1-16)
+          wise (>= 2.4.1-16),
+          w3-dtd-mathml
 Description: Python library for bioinformatics (implemented in Python 2)
  The Biopython Project is an international association
  of developers of freely available Python tools for
@@ -138,7 +141,8 @@
           raxml,
           samtools,
           t-coffee,
-          wise (>= 2.4.1-16)
+          wise (>= 2.4.1-16),
+          w3-dtd-mathml
 Description: Python library for bioinformatics (implemented in Python 3)
  The Biopython Project is an international association
  of developers of freely available Python tools for

## python-biopython 1.70+dfsg

=== Bio/PDB/mmCIF/Makefile ===
PYTHON_INC_DIR=-I/usr/include/python2.3/ -I/usr/include/python2.3/Numeric/
CC=gcc
LEX=flex
 
all:	MMCIFlexmodule.so mmcif_test

MMCIFlexmodule.so: lex.yy.o MMCIFlexmodule.o
	$(CC) -fPIC -shared -o $@ $^ -lfl 

MMCIFlexmodule.o: MMCIFlexmodule.c
	$(CC) -c -fPIC $(PYTHON_INC_DIR) -o $@ $<

#mmcifparser.o: mmcifparser.c
#	$(CC) -c -fPIC $(PYTHON_INC_DIR)  $<

lex.yy.c: mmcif.lex
	$(LEX) mmcif.lex 

lex.yy.o: lex.yy.c
	$(CC) -fPIC -c $<

mmcif_test: mmcif_test.o lex.yy.o
	$(CC) $^ -lfl -o $@

.PHONY:	links clean veryclean

clean:
	rm *.o

veryclean: clean
	- rm *.so lex.yy.c mmcif_test *~

=== debian/changelog ===
python-biopython (1.70+dfsg-4) unstable; urgency=medium

  * Symlink to mathml2.dtd of w3-dtd-mathml package
    Closes: #672407
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2017 11:07:47 +0100

python-biopython (1.70+dfsg-3) unstable; urgency=medium

  * Copy *.rst doc files.
    Closes: #872222
  * Apply two upstream patches to deal with change in BWA output
    Closes: #880236
  * Drop duplicated python*-numpy in Build-Depends
  * Standards-Version: 4.1.1
  * Fix permission of dtd files

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 13:24:21 +0100

python-biopython (1.70+dfsg-2) unstable; urgency=medium

  * Team upload

  * Fixed build dependencies (added python-setuptools) (Closes: #869597).

 -- Steffen Moeller <moeller@debian.org>  Mon, 31 Jul 2017 18:24:01 +0200
  

python-biopython (1.70+dfsg-1) unstable; urgency=medium

  * Team upload

  * New upstream release.
  * debian/upstream/metadata: Added references to
    OMICtools, bio.tools, RRID
  * debian/rules: Merged two redundant clean overrides

 -- Steffen Moeller <moeller@debian.org>  Sun, 23 Jul 2017 18:08:39 +0200
  

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,20 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	cd Doc && make distclean
+	rm -f Doc/install/Installation.pdf
+	rm -f Doc/install/Installation.txt
+	rm -f Doc/install/Installation.html
+	rm -f Doc/Tutorial.pdf Doc/biopdb_faq.pdf
+	rm -f Doc/Tutorial/*.aux
+	rm -rf biopython.egg-info
+	
+	dh_auto_clean
+	if [ -d Tests_avoid ] ; then \
+	    mv Tests_avoid/* Tests ; \
+	    rmdir Tests_avoid ; \
+	fi
+	
+	rm -rf debian/tmp_tests
 
 override_dh_auto_build:
 	dh_auto_build
@@ -120,10 +134,6 @@
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.lyx" -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -type d -empty -delete
 
-override_dh_auto_clean:
-	dh_auto_clean
-	if [ -d Tests_avoid ] ; then \
-	    mv Tests_avoid/* Tests ; \
-	    rmdir Tests_avoid ; \
-	fi
-	rm -rf debian/tmp_tests
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name "*.dtd" -exec chmod -x \{\} \;

=== debian/watch ===
version=4

opts="uversionmangle=s/b/~b/;s/(\d)(\d+)/$1.$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//,repack,compression=xz" \
  https://github.com/biopython/biopython/releases .*/archive/biopython-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-biopython 1.72

=== debian/changelog ===
python-biopython (1.72-0ubuntu1) cosmic; urgency=medium

  * New upstream version.
  * Disable test failing with reportlab 3.5.
    https://github.com/biopython/biopython/issues/1737

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Jul 2018 15:08:29 +0200

python-biopython (1.71+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:36:36 +0000

python-biopython (1.71+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * Add dh-python to Build-Depends since this will be dropped from python3's
    Depends soon
  * Fix Python version in Suggestes
  * Make sure Doc dir ends up in python-biopython-doc package

 -- Andreas Tille <tille@debian.org>  Fri, 06 Apr 2018 09:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
                python-all-dev,
                python3-all-dev,
                python-numpy,
@@ -49,9 +50,9 @@
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biopython.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biopython.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
+Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: http://biopython.org
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
@@ -116,7 +117,6 @@
 Recommends: python-biopython-doc (= ${source:Version}),
             ncbi-blast+
 Suggests: python3-tk,
-          python-reportlab,
           bwa [any-amd64],
           clustalo,
           clustalw,
@@ -130,7 +130,7 @@
           phyml [any-amd64 any-i386 arm64 armhf sparc64],
           prank,
           probcons,
-          python-mysqldb,
+          python3-mysqldb,
           python3-matplotlib,
           python3-numpy,
           python3-pil,

=== debian/rules ===
--- 
+++ 
@@ -64,8 +64,8 @@
 	rm -f Doc/Tutorial.pdf Doc/biopdb_faq.pdf
 	rm -f Doc/Tutorial/*.aux
 	rm -rf biopython.egg-info
+	rm -rf .pybuild
 	
-	dh_auto_clean
 	if [ -d Tests_avoid ] ; then \
 	    mv Tests_avoid/* Tests ; \
 	    rmdir Tests_avoid ; \
@@ -122,12 +122,16 @@
 endif
 
 override_dh_installdocs-indep:
-	dh_installdocs
+	dh_installdocs -i
 	find debian -name __pycache__ -type d | xargs rm -rf
 	find debian -name example.fastq.gz
 	# dh_installdocs seems to refuse copying zero length files (for instance Tests/Blast/tab_2226_tblastn_002.txt) but these are needed for the tests as well
 	cp -a debian/tmp_tests/* $(CURDIR)/debian/python-biopython-doc/usr/share/doc/python-biopython-doc/
 	find debian -name .cvsignore -delete
+	# no idea why Doc dir ends up in /usr/share/doc/python-biopython since biopython 1.71 - just move it into right place
+	if [ -d debian/python-biopython-doc/usr/share/doc/python-biopython/Doc ] ; then \
+	    mv debian/python-biopython-doc/usr/share/doc/python-biopython/Doc debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc ; \
+	fi
 	cd debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc && make clean
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name Makefile -delete
 	find debian/python-biopython-doc/usr/share/doc/python-biopython-doc/Doc -name "*.aux" -delete

## python-biopython 1.73+dfsg

=== Doc/Makefile ===
subdirs := install


all:  Tutorial.html Tutorial.txt pdf $(subdirs)
pdf:  Tutorial.pdf biopdb_faq.pdf

Tutorial.pdf: Tutorial.tex Tutorial/chapter_*.tex
	pdflatex Tutorial.tex
	pdflatex Tutorial.tex
	pdflatex Tutorial.tex

biopdb_faq.pdf: biopdb_faq.tex
	pdflatex biopdb_faq.tex
	pdflatex biopdb_faq.tex
	pdflatex biopdb_faq.tex

Tutorial.html: Tutorial.tex Tutorial/chapter_*.tex
	hevea -fix Tutorial.tex

Tutorial.txt: Tutorial.tex Tutorial/chapter_*.tex
	hevea -fix -text Tutorial.tex

clean-subdirs: $(subdirs)
	( for f in $^ ; do $(MAKE) clean -C $$f ; done )

clean: clean-subdirs
	rm -f Tutorial.aux
	rm -f Tutorial.toc
	rm -f Tutorial.log
	rm -f Tutorial.out
	rm -f Tutorial.haux
	rm -f Tutorial.htoc
	rm -f biopdb_faq.aux
	rm -f biopdb_faq.log
	rm -f biopdb_faq.out
	rm -f Tutorial/*.aux

distclean-subdirs: $(subdirs)
	( for f in $^ ; do $(MAKE) distclean -C $$f ; done )

distclean: clean distclean-subdirs
	rm -f biopdb_faq.pdf
	rm -f Tutorial.pdf
	rm -f Tutorial.html
	rm -f Tutorial.txt
	rm -f *_motif.gif #output from hacha

.PHONY: $(subdirs)
$(subdirs):
	$(MAKE) -C $@

=== Doc/api/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Bio
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-biopython (1.73+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 23:23:52 +0100

python-biopython (1.72+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove unneeded comment about samtools - which is not found by biopython
    anyway

  [ Graham Inggs ]
  * Team upload
  * Fix compatibility with ReportLab 3.5 (Closes: #913064)
  * Clean up some trailing whitespace in debian/* files

 -- Graham Inggs <ginggs@debian.org>  Wed, 05 Dec 2018 11:41:01 +0000

python-biopython (1.72+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #904317
  * Standards-Version: 4.1.5
  * debian/rules: Respect DEB_BUILD_OPTIONS in dh_auto_test
  * Drop ancient Python version fields
  * Deactivate exclusion of samtools_tool test and see if it works

 -- Andreas Tille <tille@debian.org>  Sat, 28 Jul 2018 04:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python-all-dev,
                python3-all-dev,
@@ -50,12 +50,10 @@
                raxml [any-amd64],
                t-coffee,
                wise (>= 2.4.1-16)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: http://biopython.org
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.3
 
 Package: python-biopython
 Architecture: any
@@ -104,7 +102,7 @@
  extremely liberal and compatible with almost every license in
  the world. The project works along with the Open Bioinformatics
  Foundation, who generously provide web and CVS space for
- the project. 
+ the project.
  .
  This package is targeting Python version 2.
 
@@ -155,7 +153,7 @@
  extremely liberal and compatible with almost every license in
  the world. The project works along with the Open Bioinformatics
  Foundation, who generously provide web and CVS space for
- the project. 
+ the project.
  .
  This package is targeting Python version 3.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 # If `$(CURDIR)/setup.py test` would be called these tests need to be excluded since they require to be online
-#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS 
+#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS
 # Since `run_texts.py --online` is used the test requiring online connections are excluded by the test suite
 EXCLUDEONLINE=
 
@@ -43,14 +43,6 @@
 # ApplicationError: Non-zero return code 255 from 'phyml -i Phylip/interlaced2.phy -d aa', message 'beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware'
 # See https://bugs.debian.org/813262
 EXCLUDEFAILINGTESTS=phyml_tool
-
-# FIXME: Currently it is not sure for what architecture samtools will be available
-#        to anable a smooth migration to testing the build-dependency will be dropped
-#        for the moment
-#        .
-#        The samtools test also fails on amd64.  This is reported upstream
-#	 see https://github.com/biopython/biopython/issues/625
-EXCLUDEPACKAGEINFLUX=samtools_tool
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -83,6 +75,7 @@
 	dh_numpy3 -ppython3-biopython
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(BUILDARCH),mips)
 	echo "***************************************************************************"
 	echo "* Attention: Build time tests for mips architecture are skipped.          *"
@@ -105,7 +98,7 @@
 	rm -f debian/tmp_tests/Tests/Quality/example.fastq.gz
 	# We also keep the tests we need to avoid for later inspection
 	cp -a Tests_avoid debian/tmp_tests
-	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir 
+	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir
 	# to run the EMBOSS test test_Emboss also requires to have the environment variable EMBOSS_ROOT set
 	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
 		--test-args='set -e; \
@@ -119,6 +112,7 @@
                              env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
 	mv Tests_avoid/* Tests
 	rmdir Tests_avoid
+endif
 endif
 
 override_dh_installdocs-indep:

## python-biopython 1.76%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 export DH_VERBOSE=1
 
 #export PYBUILD_NAME=biopython
-#export PYBUILD_DESTDIR_python2=debian/python-biopython/
-#export PYBUILD_DESTDIR_python3=debian/python3-biopython/
+#export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)/
 
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+all ... does not build
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
@@ -26,26 +25,21 @@
 
 # avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
 # This would not trigger a failure but bloats the build log with irrelevant noise
-EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_DFDist PopGen_FDist PopGen_GenePop PopGen_GenePop_EasyController PopGen_SimCoal XXmotif_tool
+EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_GenePop PopGen_GenePop_EasyController XXmotif_tool PDB_ResidueDepth mmtf mmtf_online
 
 # avoid amd64 only tools on other architectures
 ifeq ($(BUILDARCH),amd64)
     EXCLUDEARCHamd64=
 else
-    EXCLUDEARCHamd64=BWA_tool raxml_tool
+    EXCLUDEARCHamd64=raxml_tool
 endif
 
 # avoid tests requiring data base connections if no server is running while we are doing the build
 # This would not trigger a failure but bloats the build log with irrelevant noise
 EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2
 
-# With recent phyml we get:
-# ApplicationError: Non-zero return code 255 from 'phyml -i Phylip/interlaced2.phy -d aa', message 'beignet-opencl-icd: no supported GPU found, this is probably the wrong opencl-icd package for this hardware'
-# See https://bugs.debian.org/813262
-EXCLUDEFAILINGTESTS=phyml_tool
-
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -57,12 +51,12 @@
 	rm -f Doc/Tutorial/*.aux
 	rm -rf biopython.egg-info
 	rm -rf .pybuild
-	
+
 	if [ -d Tests_avoid ] ; then \
 	    mv Tests_avoid/* Tests ; \
 	    rmdir Tests_avoid ; \
 	fi
-	
+
 	rm -rf debian/tmp_tests
 
 override_dh_auto_build:
@@ -71,21 +65,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_numpy -ppython-biopython
 	dh_numpy3 -ppython3-biopython
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq ($(BUILDARCH),mips)
-	echo "***************************************************************************"
-	echo "* Attention: Build time tests for mips architecture are skipped.          *"
-	echo "* The reason is that the tests are known to fail for Python3 and the      *"
-	echo "* effort to simply run only for Python 2.7 seems to be error prone.       *"
-	echo "* Upstream is working on a solution so this should be dropped for         *"
-	echo "* next upstream version. See:                                             *"
-	echo "* http://mailman.open-bio.org/pipermail/biopython/2014-August/015383.html *"
-	echo "***************************************************************************"
-else
 	mkdir -p Tests_avoid
 	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
 		    ; do \
@@ -113,7 +96,6 @@
 	mv Tests_avoid/* Tests
 	rmdir Tests_avoid
 endif
-endif
 
 override_dh_installdocs-indep:
 	dh_installdocs -i

## python-biopython 1.76+dfsg

=== Doc/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
-subdirs := install
+subdirs :=
 
 
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)
 pdf:  Tutorial.pdf biopdb_faq.pdf
 
 Tutorial.pdf: Tutorial.tex Tutorial/chapter_*.tex
-	pdflatex Tutorial.tex
-	pdflatex Tutorial.tex
-	pdflatex Tutorial.tex
+	pdflatex --shell-escape Tutorial.tex
+	pdflatex --shell-escape Tutorial.tex
+	pdflatex --shell-escape Tutorial.tex
 
 biopdb_faq.pdf: biopdb_faq.tex
 	pdflatex biopdb_faq.tex

=== debian/changelog ===
python-biopython (1.76+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove patches applied upstream:
    fix_doctests, ppc64el_precision, python_3.8_iteration_fix.patch
  * Remove patches missing from debian/patches/series.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 11:00:46 -0800

python-biopython (1.75+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Patch added to reduce the required precision for one part of the
    test_phenotype_fit.TestPhenoMicro test

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 17 Dec 2019 11:35:41 +0100

python-biopython (1.75+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Restrict where we test phyml for now.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 22:15:00 +0100

python-biopython (1.75+dfsg-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Skip PDB_ResidueDepth test, as http://mgltools.scripps.edu/packages/MSMS
    is not yet packaged for Debian
  * Skip test_mmtf{,_online} as https://github.com/rcsb/mmtf-python is not yet
    packaged for Debian
  * Added missing test dependencies: python-unittest2, python{,3}-networkx,
    samtools
  * i386: build-dep on raxml for testing purposes
  * debian/patches/arm64.patch from upstream to fix the PairwiseAligner
  * debian/patches/fix_doctest: from me to fix the Bio.Cluster._cluster doctests
    Now the tests are required to pass again.

  [ Andreas Tille ]
  * Drop Python2 package
    Closes: #937606

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Dec 2019 14:38:14 +0100

python-biopython (1.75+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #944242
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/rules
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Repository.
  * Build-Depends: python3-pygments
  * Python 3.8 iteration fix from upstream
  * Ignore remaining build time test errors since these are discussed with
    upstream and will be fixed soon.  On the other hand latest version of
    biopython is needed to fix bugs in other Debian Med packages.
  * Seems explicit Depends: python is needed now for Python2 packages
  * Remove test test_Tutorial.py which is bound to fail from autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2019 17:29:48 +0100

=== debian/control ===
Source: python-biopython
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-numpy,
               flex,
               python3-reportlab,
               hevea,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-recommended,
               bwa,
               clustalo,
               clustalw,
               dialign,
               dssp,
               emboss,
               fasttree,
               mafft,
               muscle,
               ncbi-blast+,
               phylip,
               phyml [any-amd64 any-i386],
               prank,
               probcons,
               python3-networkx,
               python3-mysqldb,
               python3-matplotlib,
               python3-pil,
               python3-rdflib,
               python3-renderpm,
               python3-psycopg2,
               python3-scipy,
               python3-setuptools,
               python3-unittest2,
               raxml [any-amd64 any-i386],
               samtools,
               t-coffee,
               wise,
               python3-pygments
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
Homepage: http://biopython.org

Package: python3-biopython
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python3-tk,
          bwa,
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phylip,
          phyml,
          prank,
          probcons,
          python3-mysqldb,
          python3-matplotlib,
          python3-numpy,
          python3-pil,
          python3-rdflib,
          python3-renderpm,
          python3-psycopg2,
          python3-scipy,
          raxml,
          samtools,
          t-coffee,
          wise,
          w3-dtd-mathml
Description: Python3 library for bioinformatics
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python3
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project.

Package: python-biopython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python3-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.
 .
 This package also contains the unit tests of the test suite
 to enable reproducing the test results.

Package: python3-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Provides: ${python3:Provides}
Description: Biopython support for the BioSQL database schema (Python 3)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-setuptools
Restrictions: allow-stderr

## python-biopython 1.78%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,52 +1,55 @@
 Source: python-biopython
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
-               python3-numpy,
+               python3-numpy <!nocheck>,
                flex,
-               python3-reportlab,
-               hevea,
+               python3-reportlab <!nocheck>,
+               hevea <!nocheck>,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               bwa,
-               clustalo,
-               clustalw,
-               dialign,
-               dssp,
-               emboss,
-               fasttree,
-               mafft,
-               muscle,
-               ncbi-blast+,
-               phylip,
-               phyml [any-amd64 any-i386],
-               prank,
-               probcons,
-               python3-networkx,
-               python3-mysqldb,
-               python3-matplotlib,
-               python3-pil,
-               python3-rdflib,
-               python3-renderpm,
-               python3-psycopg2,
-               python3-scipy,
+               bwa <!nocheck>,
+               clustalo <!nocheck>,
+               clustalw <!nocheck>,
+               dialign <!nocheck>,
+               dssp (>= 4.0.0) <!nocheck>,
+               emboss <!nocheck>,
+               fasttree <!nocheck>,
+               mafft <!nocheck>,
+               muscle <!nocheck>,
+               ncbi-blast+ (>= 2.10.1-3) <!nocheck>,
+               phylip <!nocheck>,
+               phyml [any-amd64 any-i386] <!nocheck>,
+               prank <!nocheck>,
+               probcons <!nocheck>,
+               python3-networkx <!nocheck>,
+               python3-mysqldb <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-mmtf <!nocheck>,
+               python3-pil <!nocheck>,
+               python3-rdflib <!nocheck>,
+               python3-renderpm <!nocheck>,
+               python3-psycopg2 <!nocheck>,
+               python3-pygments <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-unittest2,
-               raxml [any-amd64 any-i386],
-               samtools,
-               t-coffee,
-               wise,
-               python3-pygments
-Standards-Version: 4.4.1
+               python3-unittest2 <!nocheck>,
+               raxml [any-amd64 any-i386] <!nocheck>,
+               samtools <!nocheck>,
+               t-coffee <!nocheck>,
+               wise <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-biopython
 Vcs-Git: https://salsa.debian.org/med-team/python-biopython.git
 Homepage: http://biopython.org
+Rules-Requires-Root: no
 
 Package: python3-biopython
 Architecture: any
@@ -55,13 +58,13 @@
          ${misc:Depends},
          python3-reportlab
 Recommends: python-biopython-doc (= ${source:Version}),
-            ncbi-blast+
+            ncbi-blast+ (>= 2.10.1-3)
 Suggests: python3-tk,
           bwa,
           clustalo,
           clustalw,
           dialign,
-          dssp,
+          dssp (>= 4.0.0),
           emboss,
           fasttree,
           mafft,
@@ -72,6 +75,7 @@
           probcons,
           python3-mysqldb,
           python3-matplotlib,
+          python3-mmtf,
           python3-numpy,
           python3-pil,
           python3-rdflib,
@@ -83,6 +87,7 @@
           t-coffee,
           wise,
           w3-dtd-mathml
+Breaks: cnvkit (<< 0.9.7-1~)
 Description: Python3 library for bioinformatics
  The Biopython Project is an international association
  of developers of freely available Python tools for
@@ -99,6 +104,7 @@
 
 Package: python-biopython-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: python3-biopython (= ${source:Version})
